Subject: Re: [PATCH v2 3/5] list-objects-filter: use oidmap_clear_with_free() for cleanup

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Mar 2026 13:43:17 -0800

Junio C Hamano <[email-masked]> writes:

> Seyi Kuforiji <[email-masked]> writes:
>
>> On Wed, 4 Mar 2026 at 16:31, Junio C Hamano <[email-masked]> wrote:
>>>
>>> Patrick Steinhardt <[email-masked]> writes:
>>>
>>> > Agreed. But I think with the current status quo I'd rather drop this
>>> > patch though as it may otherwise make the reader scratch their head why
>>> > we do the exercise in the first place.
>>>
>>> I do not think too strongly either way myself, but you may be right.
>>>
>>> Unless we are dropping the "we optionally let you free the shell"
>>> traditional interface, it is of questionable value to use the new
>>> interface.
>>>
>>> Thanks.
>>>
>>
>> Hello
>>
>> Thank you so much for the reviews.
>>
>> I'll send a new version dropping the [PATCH 3/5].
>
> I thought that Patrick wants to see only [1/5] and [2/5], discarding
> the rest (i.e. 3/5, 4/5, and 5/5).  If that is the plan, I do not
> think we need any resend.

Ah, in https://lore.kernel.org/git/[email-masked]/ he wants
the callback to be renamed, so we do need a new iteration (v3).  I
still think that if you are to drop [3/5], then [4/5] and [5/5]
should also be dropped, leaving only the first two patches.

Thanks.